Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control.GaphixStuff
Class M_GraphixEngineUI.Gr_Arena

    java.lang.Object
      de.farafin.snEADy.control.GaphixStuff.M_GraphixEngineUI.Gr_Arena

Direct Known Subclasses:
  M_GraphixEngineUI.Gr_DiffArena

Enclosing class:
  M_GraphixEngineUI

    private static class M_GraphixEngineUI.Gr_Arena

extends java.lang.Object

Grafikrepräsentation der Arena

Field Summary
`protected char[][]` | `field`
`protected int` | `sizeX`
`protected int` | `sizeY`

Constructor Summary
`M_GraphixEngineUI.Gr_Arena(char[][] newField, D_GameInfo gameInfo)`
`M_GraphixEngineUI.Gr_Arena(int size_y, int size_x)`
`M_GraphixEngineUI.Gr_Arena(int size_y, int size_x, char clearByte)`

Method Summary
`private void` | `convert(char[][] fieldDest, char[][] fieldSrc, D_GameInfo gameInfo)`
`void` | `fill(char clearByte)`
`java.lang.String` | `toString()`
`void` | `update(char[][] src)`
`void` | `update(char[][] src, D_GameInfo gameInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field

    protected char[][] field

### sizeX

    protected int sizeX

### sizeY

    protected int sizeY

Constructor Detail

### M_GraphixEngineUI.Gr_Arena

    public M_GraphixEngineUI.Gr_Arena(int size_y,
                                      int size_x,
                                      char clearByte)

### M_GraphixEngineUI.Gr_Arena

    public M_GraphixEngineUI.Gr_Arena(int size_y,
                                      int size_x)

### M_GraphixEngineUI.Gr_Arena

    public M_GraphixEngineUI.Gr_Arena(char[][] newField,
                                      D_GameInfo gameInfo)

Method Detail

### fill

    public void fill(char clearByte)

### update

    public void update(char[][] src,
                       D_GameInfo gameInfo)

### update

    public void update(char[][] src)

### convert

    private void convert(char[][] fieldDest,
                         char[][] fieldSrc,
                         D_GameInfo gameInfo)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD